Overlay (KML Framework API)
Keywords: org.boehn.kmlframework.kml.Overlay class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.boehn.kmlframework.kml
Class Overlay

    java.lang.Object
      org.boehn.kmlframework.kml.KmlObject
          org.boehn.kmlframework.kml.Feature
              org.boehn.kmlframework.kml.Overlay

Direct Known Subclasses:
  GroundOverlay, PhotoOverlay, ScreenOverlay

    public abstract class Overlay

extends Feature

Constructor Summary
`Overlay()`
`Overlay(java.lang.String name, java.lang.Boolean visibility, java.lang.Boolean open, AtomAuthor atomAuthor, AtomLink atomLink, java.lang.String address, java.lang.String xalAddressDetails, java.lang.String phoneNumber, java.lang.String snippet, java.lang.Integer snippetMaxLines, java.lang.String description, AbstractView abstractView, TimePrimitive timePrimitive, java.lang.String styleUrl, java.util.List<StyleSelector> styleSelectors, Region region, ExtendedData extendedData, java.lang.String color, java.lang.Integer drawOrder, Icon icon)`

Method Summary
`java.lang.String` | `getColor()`
`java.lang.Integer` | `getDrawOrder()`
`Icon` | `getIcon()`
`void` | `setColor(java.lang.String color)`
`void` | `setDrawOrder(java.lang.Integer drawOrder)`
`void` | `setIcon(Icon icon)`
`void` | `writeInner(Kml kml)`

Methods inherited from class org.boehn.kmlframework.kml.Feature
`addStyleSelector, getAbstractView, getAddress, getAtomAuthor, getAtomLink, getDescription, getExtendedData, getName, getPhoneNumber, getRegion, getSnippet, getSnippetMaxLines, getStyleSelectors, getStyleUrl, getTimePrimitive, getXalAddressDeatails, isOpen, isVisible, setAbstractView, setAddress, setAtomAuthor, setAtomLink, setDescription, setExtendedData, setName, setOpen, setPhoneNumber, setRegion, setSnippet, setSnippetMaxLines, setStyleSelectors, setStyleUrl, setTimePrimitive, setVisibility, setXalAddressDeatails`

Methods inherited from class org.boehn.kmlframework.kml.KmlObject
`booleanToInt, enumToString, getId, getIdAndTargetIdFormatted, getTargetId, setId, setTargetId, write, writeDelete`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Overlay

    public Overlay()

### Overlay

    public Overlay(java.lang.String name,
                   java.lang.Boolean visibility,
                   java.lang.Boolean open,
                   AtomAuthor atomAuthor,
                   AtomLink atomLink,
                   java.lang.String address,
                   java.lang.String xalAddressDetails,
                   java.lang.String phoneNumber,
                   java.lang.String snippet,
                   java.lang.Integer snippetMaxLines,
                   java.lang.String description,
                   AbstractView abstractView,
                   TimePrimitive timePrimitive,
                   java.lang.String styleUrl,
                   java.util.List<StyleSelector> styleSelectors,
                   Region region,
                   ExtendedData extendedData,
                   java.lang.String color,
                   java.lang.Integer drawOrder,
                   Icon icon)

Method Detail

### getColor

    public java.lang.String getColor()

### setColor

    public void setColor(java.lang.String color)

### getDrawOrder

    public java.lang.Integer getDrawOrder()

### setDrawOrder

    public void setDrawOrder(java.lang.Integer drawOrder)

### getIcon

    public Icon getIcon()

### setIcon

    public void setIcon(Icon icon)

### writeInner

    public void writeInner(Kml kml)
                    throws KmlException

  Overrides:
    `writeInner` in class `Feature`
  Throws:
    `KmlException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD